com.sun.grid.jgdi.util.shell

## Class QrStatCommand

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.AnnotatedCommand
    - - com.sun.grid.jgdi.util.shell.QrStatCommand

-     public class QrStatCommand
      extends AnnotatedCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QrStatCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printUsage(OptionInfo oi)`
    `void` | `run(java.lang.String[] args)` Run the command
    `void` | `setAdvanceReservationList(OptionInfo oi)`
    `void` | `setExplain(OptionInfo oi)`
    `void` | `setUserList(OptionInfo oi)`
    `void` | `setXml(OptionInfo oi)`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AnnotatedCommand

      `getCustomExitCode, getDefaultErrorMessage, getExtraArguments, getOptionDescriptorMap, getOptionInfo, getOriginalExtraArguments, hasExtraArguments, initOptionDescriptorMap, invokeOptions, listOptions, parseAndInvokeOptions, parseOptions, tokenizeArgs`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QrStatCommand

          public QrStatCommand()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Description copied from class: `AbstractCommand`
      Run the command
      Specified by:
        `run` in class `AbstractCommand`
      Throws:
        `java.lang.Exception`

    - #### setAdvanceReservationList

          public void setAdvanceReservationList(OptionInfo oi)
                                         throws JGDIException

      Throws:
        `JGDIException`

    - #### printUsage

          public void printUsage(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setUserList

          public void setUserList(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setXml

          public void setXml(OptionInfo oi)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### setExplain

          public void setExplain(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.